package sop_stage

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_stage"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_stage sop_stage GetSopStageById
//
// Get sop stage by ID | 通过ID获取SopStage
//
// Get sop stage by ID | 通过ID获取SopStage
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: IDReq
//
// Responses:
//  200: SopStageInfoResp

func GetSopStageByIdHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.IDReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_stage.NewGetSopStageByIdLogic(r.Context(), svcCtx)
		resp, err := l.GetSopStageById(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
